
PJ073 - USMS - Bug #22093

[Android][PJ073-22] App Crash After Press Confirm Button

14 April 2025 12:03 PM - Mohamad Zulhilmi

Status: Resolved Start date: 14 April 2025

Priority: High Due date:  

Assignee: Mohamad Zulhilmi % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

Steps:

1. Account Services>vCard Account>

2. Choose account

3. Select Top Up (USMS)

4. Do top up with insufficient funds

5. Click Next

6. Click Confirm

Error found:

App crash after click Confirm button

Expected result:

Able to promp pop up Insufficient Fund

History

#1 - 14 April 2025 12:40 PM - Abdul Halim Baharom

- Assignee changed from Abdul Halim Baharom to Mohamad Zulhilmi

Hi Zul, could you please provide video of crash. and userid used to test this. Thank you.

#2 - 14 April 2025 01:49 PM - Mohamad Zulhilmi

- File Top USMS 2.mp4 added

- File Topup USMS 1.mp4 added

- Assignee changed from Mohamad Zulhilmi to Abdul Halim Baharom

Video app crashing as per attached, the user ID used for testing was "tembikailaici"

#3 - 14 April 2025 02:36 PM - Mohamad Zulhilmi

- Subject changed from [Android] App Crash After Press Confirm Button to PJ073-22 Android App Crash After Press Confirm Button

#4 - 14 April 2025 02:41 PM - Mohamad Zulhilmi

- Subject changed from PJ073-22 Android App Crash After Press Confirm Button to [Android][PJ073-22] App Crash After Press Confirm Button

- Description updated

#5 - 14 April 2025 04:13 PM - Mohamad Zulhilmi

- Description updated

#6 - 15 April 2025 02:49 PM - Mohamad Zulhilmi

- Assignee changed from Abdul Halim Baharom to Wei Sheng Teo

Based on discussion FE need to handle for null return from BE follow as Top Up Electric, thanks
#7 - 15 April 2025 04:43 PM - Mohamad Zulhilmi

- Assignee changed from Wei Sheng Teo to Abdul Halim Baharom

#8 - 15 April 2025 06:15 PM - Abdul Halim Baharom

- Assignee changed from Abdul Halim Baharom to Mohamad Zulhilmi

- % Done changed from 0 to 100

Fixed

#9 - 16 April 2025 02:44 PM - Mohamad Zulhilmi

- Status changed from Assigned to Resolved

Tested good

Files

Top USMS 2.mp4 5.57 MB 14 April 2025 Mohamad Zulhilmi

Topup USMS 1.mp4 5.71 MB 14 April 2025 Mohamad Zulhilmi
